function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}


function radioValue(ctrl)
{
	for(i=0;i<ctrl.length;i++)
		if(ctrl[i].checked) return ctrl[i].value;
}

function validar_login ()
{
	  var usuario = document.getElementById('usuario').value;
	  var password = document.getElementById('password').value;	
	  var ban = false;
	  if(usuario.trim().length == 0)
	  {
		document.getElementById('usuario').value = '';
		document.getElementById('usuario').setAttribute('placeholder','Campo obligatorio');
		document.getElementById('group_usuario').setAttribute("class", "form-group has-error");	
	  	ban = true;
	  }	
	  if(password.trim().length == 0)
	  {
		document.getElementById('password').value = '';
		document.getElementById('password').setAttribute('placeholder','Campo obligatorio');
		document.getElementById('group_password').setAttribute("class", "form-group has-error");
		ban = true;	
	  }
	  if (ban)
		  return false;
	  else
	  login();	  
}

function validar(elemento,div_grupo)
{
	var razon_social = document.getElementById(elemento).value;
	if(razon_social.length != 0)
	{
		document.getElementById(elemento).setAttribute('placeholder','');
		document.getElementById(div_grupo).setAttribute("class", "form-group has-success");
	}else
	{
		document.getElementById(div_grupo).setAttribute("class", "form-group");	
	}
		
}

function logout()
{
	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_del_monitor/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=2');
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{			
			if(ajax.responseText)
			{
				window.location='login.php';
			}else{
				alert(ajax.responseText);
			}
		}		
	}
}

function updatePermiso(operador_monitor_id,modulo_id,permiso,campo)
{
	var permiso_valor = null;
	if(campo.checked)
		permiso_valor = 1;
	else
		permiso_valor = 0;
	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_del_monitor/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=7&operador_monitor_id='+operador_monitor_id
							 +'&modulo_id='+modulo_id
							 +'&permiso_valor='+permiso_valor
							 +'&permiso='+permiso);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{			
			if(!ajax.responseText)
			{
			  jQuery.gritter.add({
				 title: 'Información.',
				 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
				 class_name: 'growl-danger',
				 sticky: false,
				 time: '3000'
			   });
			}
		}		
	}
}

function login()
{
	var usuario = document.getElementById('usuario').value;
	var password = document.getElementById('password').value;

	$("#login_btn").html('<img id="loader" style=" margin: 0px 5px;" src="../Web_Tools/images/loaders/loader5.gif" alt="">Ingresando...');
	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_del_monitor/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=1&nombre_usuario='+usuario+'&password='+password);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText == '1')
			{
				window.location='index.php';
			}
			else if(ajax.responseText == '2')
			{
				document.getElementById('resultado').innerHTML = '';
				var mensaje = 'El ususario no se encuentra habilitado';
				$("#resultado").removeClass('hidden');
				$("#login_btn").html('Ingresar');
				document.getElementById('resultado').innerHTML = mensaje;   
			}
			else
			{
				document.getElementById('resultado').innerHTML = '';
				var mensaje = 'Nombre de usuario o contraseña incorrectos!';
				$("#resultado").removeClass('hidden');
				$("#login_btn").html('Ingresar');
				document.getElementById('resultado').innerHTML = mensaje;   

			}
			$("#loader").addClass('hide');
		}
	}
}

function editar_(id)
{
	$('#loader_editar_'+id).removeClass('hide');
	var validacion = true;
	
	var nombre_apellido = $('#nombre_apellido_'+id).val();
	if(nombre_apellido.length == 0){
		$('#panel_nombre_apellido_'+id).addClass('has-error');
		$('#error_nombre_apellido_'+id).html('* Campo Obligatorio');
		validacion = false;
	}else{
		$('#panel_nombre_apellido_'+id).removeClass('has-error');
		$('#error_nombre_apellido_'+id).html('');
	}
	
	var nombre_usuario = $('#nombre_usuario_'+id).val();
	if(nombre_usuario.length == 0){
		$('#panel_nombre_usuario_'+id).addClass('has-error');
		$('#error_nombre_usuario_'+id).html('* Campo Obligatorio');
		validacion = false;
	}
	
	if($("#habilita_password_"+id).is(':checked')) {
	
		var password = $('#password_'+id).val();
		if(password.length == 0){
			$('#panel_password_'+id).addClass('has-error');
			$('#error_password_'+id).html('* Campo Obligatorio');
			validacion = false;
		}else{
			$('#panel_password_'+id).removeClass('has-error');
			$('#error_password_'+id).html('');
		}
		
		var password_repetir = $('#password_repetir_'+id).val();
		if(password_repetir.length == 0){
			$('#panel_password_repetir_'+id).addClass('has-error');
			$('#error_password_repetir_'+id).html('* Campo Obligatorio');
			validacion = false;
		}else{
			$('#panel_password_repetir_'+id).removeClass('has-error');
			$('#error_password_repetir_'+id).html('');
		}
		
		if(password.length > 0 && password_repetir.length > 0){
			if(password != password_repetir){
				$('#panel_password_'+id).addClass('has-error');
				$('#error_password_'+id).html('* Contraseñas distintas');
				
				$('#panel_password_repetir_'+id).addClass('has-error');
				$('#error_password_repetir_'+id).html('* Contraseñas distintas');
				
				validacion = false;
			}else{
				$('#panel_password_'+id).removeClass('has-error');
				$('#error_password_'+id).html('');
				
				$('#panel_password_repetir_'+id).removeClass('has-error');
				$('#error_password_repetir_'+id).html('');
			}
		}
		
		if($('#error_password_repetir_'+id).val()==1){
			var password_actual = $('#password_actual_'+id).val();
			if(password_actual.length == 0){
				$('#panel_actual_'+id).addClass('has-error');
				$('#error_actual_'+id).html('* Campo Obligatorio');
				validacion = false;
			}else{
				$('#panel_actual_'+id).removeClass('has-error');
				$('#error_actual_'+id).html('');
			}
		}
	}
	else
	{
		var password = 'null';	
	}
	
	if(!validacion){
		$('#loader_editar_'+id).addClass('hide');
		return false;
	}
	var indice = document.getElementById('roles_'+id).selectedIndex;
		var rol = document.getElementById('roles_'+id).options[indice].value;

	var indice = document.getElementById('estado_'+id).selectedIndex;
		var estado = document.getElementById('estado_'+id).options[indice].value;
		
	var seleccionado = [];
	$('#sucursales_'+id+' option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});

	var sucursales = JSON.stringify(seleccionado);	

	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_del_monitor/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=4&operador_monitor_id='+id+'&nombre_apellido='+nombre_apellido+'&nombre_usuario='+nombre_usuario+'&password='+password+'&rol='+rol+'&estado='+estado+'&sucursales='+sucursales);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				$('#loader_editar_'+id).addClass('hide');
				window.location='index.php?tabla=operadores_del_monitor';
			}
			else
			{
				alert(ajax.responseText);
			}
		}
	}
}

function nuevo_()
{
	var validacion = true;
	
	var nombre_apellido = $('#nombre_apellido').val();
	if(nombre_apellido.length == 0){
		$('#panel_nombre_apellido').addClass('has-error');
		$('#error_nombre_apellido').html('* Campo Obligatorio');
		validacion = false;
	}else{
		$('#panel_nombre_apellido').removeClass('has-error');
		$('#error_nombre_apellido').html('');
	}
	
	var nombre_usuario = $('#nombre_usuario').val();
	if(nombre_usuario.length == 0){
		$('#panel_nombre_usuario').addClass('has-error');
		$('#error_nombre_usuario').html('* Campo Obligatorio');
		validacion = false;
	}

	var password = $('#password').val();
	if(password.length == 0){
		$('#panel_password').addClass('has-error');
		$('#error_password').html('* Campo Obligatorio');
		validacion = false;
	}else{
		$('#panel_password').removeClass('has-error');
		$('#error_password').html('');
	}
	
	var password_repetir = $('#password_repetir').val();
	if(password_repetir.length == 0){
		$('#panel_password_repetir').addClass('has-error');
		$('#error_password_repetir').html('* Campo Obligatorio');
		validacion = false;
	}else{
		$('#panel_password_repetir').removeClass('has-error');
		$('#error_password_repetir').html('');
	}
	
	if(password.length > 0 && password_repetir.length > 0){
		if(password != password_repetir){
			$('#panel_password').addClass('has-error');
			$('#error_password').html('* Contraseñas distintas');
			
			$('#panel_password_repetir').addClass('has-error');
			$('#error_password_repetir').html('* Contraseñas distintas');
			
			validacion = false;
		}else{
			$('#panel_password').removeClass('has-error');
			$('#error_password').html('');
			
			$('#panel_password_repetir').removeClass('has-error');
			$('#error_password_repetir').html('');
		}
	}
	if(!validacion)
		return false;

	var indice = document.getElementById('roles').selectedIndex;
		var rol = document.getElementById('roles').options[indice].value;

	var indice = document.getElementById('estado').selectedIndex;
		var estado = document.getElementById('estado').options[indice].value;
	var sucursales = getSelectValues();

	$('#loader').removeClass('hide');
	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_del_monitor/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=3&nombre_apellido='+nombre_apellido+'&nombre_usuario='+nombre_usuario+'&password='+password+'&rol='+rol+'&estado='+estado+'&sucursales='+sucursales);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{				
				$('#loader').addClass('hide');
				window.location='index.php?tabla=operadores_del_monitor';
			}
			else
			{
			  jQuery.gritter.add({
				 title: 'Información.',
				 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
				 class_name: 'growl-danger',
				 sticky: false,
				 time: '3000'
			   });
			}
		}
	}
}

function limpiar(){
	$('#panel_nombre_apellido').removeClass('has-error');
	$('#error_nombre_apellido').html('');
	$('#nombre_apellido').val('');

	$('#panel_nombre_usuario').removeClass('has-error');
	$('#error_nombre_usuario').html('');
	$('#nombre_usuario').val('');

	$('#panel_password').removeClass('has-error');
	$('#error_password').html('');
	$('#password').val('');

	$('#panel_password_repetir').removeClass('has-error');
	$('#error_password_repetir').html('');
	$('#password_repetir').val('');	
}

function eliminar_(id)
{
	$('#loader_eliminar_'+id).addClass('hide');
	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_del_monitor/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=5&id='+id);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText)
			{				
				window.location='index.php?tabla=operadores_del_monitor';
				$('#loader_eliminar_'+id).removeClass('hide');
			}
			else
			{
				  jQuery.gritter.add({
					 title: 'Información.',
					 text: 'No se ha podido llevar adelante el proceso. Intente nuevamente.',
					 class_name: 'growl-danger',
					 sticky: false,
					 time: '3000'
				   });
			}
		}
	}
}

function HabilitarPassword(id)
{
	var inputDisabled = $("#password_actual_"+id).attr( "disabled" );
	
	var inputContraseAct = $("#password_actual_"+id);
	var inputContrase = $("#password_"+id);
	var inputContraseRep = $("#password_repetir_"+id);
	
	if($("#habilita_password_"+id).is(':checked')) {  
	
		if ( inputContraseAct.attr( "disabled" ) === inputDisabled ){ 
		  inputContraseAct.removeAttr( "disabled" );
		  inputContrase.removeAttr( "disabled" );
		  inputContraseRep.removeAttr( "disabled" );
		}
		
	} else {  
		$("#password_actual_"+id).attr({
		  disabled: "disabled",
		  value: ""
		});
		$("#password_"+id).attr({
		  disabled: "disabled",
		  value: ""
		});
		$("#password_repetir_"+id).attr({
		  disabled: "disabled",
		  value: ""
		}); 
		
		$('#panel_actual_'+id).removeClass('has-error');
		$('#error_actual_'+id).html('');
		
		$('#panel_password_'+id).removeClass('has-error');
		$('#error_password_'+id).html('');
		
		$('#panel_password_repetir_'+id).removeClass('has-error');
		$('#error_password_repetir_'+id).html('');
	}
}

function VerificarPassword(id)
{
	var password = document.getElementById('password_actual_'+id).value;

	if(password.length > 0){
		ajax=ajaxs();
		ajax.open('POST', 'Modules/operadores_del_monitor/libreria_general.php',true);
		ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
		ajax.send('case=6&operador_monitor_id='+id+'&password='+password);
		ajax.onreadystatechange=function() 
		{
			if (ajax.readyState==4) 
				{
				if(ajax.responseText)
				{
					if(ajax.responseText == 0){
						$('#panel_actual_'+id).addClass('has-error');
						$('#error_actual_'+id).html('* Contraseña incorrecta');
						$('#habilitado_password_actual_'+id).val(0);
					}else{
						$('#panel_actual_'+id).removeClass('has-error');
						$('#error_actual_'+id).html('');
						$('#habilitado_password_actual_'+id).val(1);
					}
				}
				else
				{
					alert(ajax.responseText);
				}
			}
		}
	}
}

function verificarNombreUsuario(usuario_input)
{
	var NombreUsuario = document.getElementById(usuario_input.id).value;

	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_del_monitor/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=8&NombreUsuario='+NombreUsuario);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{
			if(ajax.responseText)
			{
				if(ajax.responseText > 0){
					$('#panel_'+usuario_input.id).addClass('has-error');
					$('#error_'+usuario_input.id).html('* Nombre de usuario no disponible');
				}
				else
				{
					$('#panel_'+usuario_input.id).removeClass('has-error');
					$('#error_'+usuario_input.id).html('');
				}
			}
			else
			{
				alert(ajax.responseText);
			}
		}
	}
}


// FUNCIONES PARA PERFIL DEL OPERADOR DEL MONITOR

function VerificarPasswordPerfil(id)
{
	$.ajax({
	  url: 'Modules/operadores_del_monitor/libreria_general.php',
	  type: 'POST',
	  data:{
		  case:6, 
		  operador_monitor_id: id,
		  password: $('#password_actual_perfil').val()
		},
	  success: function(data) {
		if(data == 1)
		{
			$('#panel_actual_perfil').removeClass('has-error');
			$('#error_actual_perfil').html('');
			$('#habilitado_password_actual_perfil').val(1);			
			return true;					
		}
		else
		{
			$('#panel_actual_perfil').addClass('has-error');
			$('#error_actual_perfil').html('* Contraseña incorrecta');
			$('#habilitado_password_actual_perfil').val(0);	
		}
	  },
	  error: function(jqXHR, textStatus, error) {
		alert( "error: " + jqXHR.responseText);
	  }
	});
}

function VerificarNombreUsuarioPerfil(id)
{
	$.ajax({
	  url: 'Modules/operadores_del_monitor/libreria_general.php',
	  type: 'POST',
	  data:{
		  case:8, 
		  operador_monitor_id: id,
		  NombreUsuario: $('#perfil_nombre_usuario').val()
		},
	  success: function(data) {
		if(data == 1)
		{
			$('#panel_perfil_nombre_usuario').addClass('has-error');
			$('#error_perfil_nombre_usuario').html('* Nombre de usuario no disponible');	
			return true;					
		}
		else
		{
			$('#panel_perfil_nombre_usuario').removeClass('has-error');
			$('#error_perfil_nombre_usuario').html('');
		}
	  },
	  error: function(jqXHR, textStatus, error) {
		alert( "error: " + jqXHR.responseText);
	  }
	});
}

function EditarPerfil(id)
{

	var validacion = true;
	
	var nombre_apellido = $('#nombre_apellido_perfil').val();
	if(nombre_apellido.length == 0){
		$('#panel_perfil_nombre_apellido').addClass('has-error');
		$('#error_nombre_apellido_perfil').html('* Campo Obligatorio');
		validacion = false;
	}else{
		$('#panel_perfil_nombre_apellido').removeClass('has-error');
		$('#error_nombre_apellido_perfil').html('');
	}
	
	var nombre_usuario = $('#perfil_nombre_usuario').val();
	if(nombre_usuario.length == 0){
		$('#panel_perfil_nombre_usuario').addClass('has-error');
		$('#error_perfil_nombre_usuario').html('* Campo Obligatorio');
		validacion = false;
	}
	
	if($("#habilita_password_perfil").is(':checked')) {
	
		var password = $('#password_actual_perfil').val();
		if(password.length == 0){
			$('#panel_actual_perfil').addClass('has-error');
			$('#error_actual_perfil').html('* Campo Obligatorio');
			validacion = false;
		}else{
			$('#panel_actual_perfil').removeClass('has-error');
			$('#error_actual_perfil').html('');
		}
		
		var password = $('#password_perfil').val();
		if(password.length == 0){
			$('#panel_password_perfil').addClass('has-error');
			$('#error_password_perfil').html('* Campo Obligatorio');
			validacion = false;
		}else{
			$('#panel_password_perfil').removeClass('has-error');
			$('#error_password_perfil').html('');
		}
		
		var password_repetir = $('#password_repetir_perfil').val();
		if(password_repetir.length == 0){
			$('#panel_password_repetir_perfil').addClass('has-error');
			$('#error_password_repetir_perfil').html('* Campo Obligatorio');
			validacion = false;
		}else{
			$('#panel_password_repetir_perfil').removeClass('has-error');
			$('#error_password_repetir_perfil').html('');
		}
		
		if(password.length > 0 && password_repetir.length > 0){
			if(password != password_repetir){
				$('#panel_password_perfil').addClass('has-error');
				$('#error_password_perfil').html('* Contraseñas distintas');
				
				$('#panel_password_repetir_perfil').addClass('has-error');
				$('#error_password_repetir_perfil').html('* Contraseñas distintas');
				
				validacion = false;
			}else{
				$('#panel_password_perfil').removeClass('has-error');
				$('#error_password_perfil').html('');
				
				$('#panel_password_repetir_perfil').removeClass('has-error');
				$('#error_password_repetir_perfil').html('');
			}
		}
		
		if($('#habilitado_password_actual_perfil').val() == 1)
		{
			$('#panel_actual_perfil').removeClass('has-error');
			$('#error_actual_perfil').html('');
			$('#habilitado_password_actual_perfil').val(1);			
		}
		else
		{
			$('#panel_actual_perfil').addClass('has-error');
			$('#error_actual_perfil').html('* Contraseña incorrecta');
			$('#habilitado_password_actual_perfil').val(0);
			validacion = false;	
		}
	}
	else
	{
		var password = 'null';	
	}
	
	if(!validacion)
		return false;
	
	$('#loader_editar_perfil').removeClass('hide');
	
	$.ajax({
	  url: 'Modules/operadores_del_monitor/libreria_general.php',
	  type: 'POST',
	  data:{
		  case:9, 
		  OperadorMonitorID: id,
		  NombreUsuario: $('#perfil_nombre_usuario').val(),
		  NombreApellido: $('#nombre_apellido_perfil').val(),
		  Password:password
		},
	  success: function(data) {
			window.location='index.php';
	  },
	  error: function(jqXHR, textStatus, error) {
		alert( "error: " + jqXHR.responseText);
	  }
	});

	ajax=ajaxs();
	ajax.open('POST', 'Modules/operadores_del_monitor/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=4&operador_monitor_id='+id+'&nombre_apellido='+nombre_apellido+'&nombre_usuario='+nombre_usuario+'&password='+password+'&rol='+rol+'&estado='+estado+'&sucursales='+sucursales);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
			{
			if(ajax.responseText)
			{
				$('#loader_editar_'+id).addClass('hide');
				window.location='index.php?tabla=operadores_del_monitor';
			}
			else
			{
				alert(ajax.responseText);
			}
		}
	}
}

function getSelectValues() 
{
	var seleccionado = [];
	$('#sucursales option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});

	return JSON.stringify(seleccionado);
}